GNU bug report logs - #49279
26.1; mml-secure-secret-key-exists-p wrong assumption on subkeys with same fingerprint

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Joerg Jaspert <joerg@HIDDEN>; dated Tue, 29 Jun 2021 21:12:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 49279 <at> debbugs.gnu.org:


Received: (at 49279) by debbugs.gnu.org; 30 Jun 2021 14:01:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 30 10:01:21 2021
Received: from localhost ([127.0.0.1]:58364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lyamG-0002H4-Tl
	for submit <at> debbugs.gnu.org; Wed, 30 Jun 2021 10:01:21 -0400
Received: from mail.ganneff.de ([95.216.105.53]:56289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joerg@HIDDEN>) id 1lyamE-0002Do-59
 for 49279 <at> debbugs.gnu.org; Wed, 30 Jun 2021 10:01:19 -0400
Received: from mail.ganneff.de (mail.ganneff.de
 [IPv6:2a01:4f9:2b:ff49:143:993:25:465])
 (using TLSv1.2 with cipher ECDHE-ECDSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by mail.ganneff.de (Postfix) with ESMTPSA id A37D619538D;
 Wed, 30 Jun 2021 14:01:15 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ganneff.de; s=2019_01; 
 t=1625061675;
 h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references:content-id:
 content-description:organization:user-agent:user-agent:x-gpg-id:x-gpg-fp;
 bh=zTqCyu5X6DBK27M64j9ulW//0Du6O79MpOlVD6RMUb0=;
 b=IZp8nKjzZKkT1MH0PydJ4z03PQIHiuhW55bwr/kwFL7/EaFeTqqHuI8ce0fgOtgWrkq1nr
 ekwmaUBZ5gWDAA5rjIupRSLU90GrMXo2zhhASYF8+oU5D2et+iFx+HkAlGgiNC+ayJsLhI
 ahn4u4v+L5VkraOMNMnLuGfK1SWn0nQ=
MIME-Version: 1.0
Date: Wed, 30 Jun 2021 16:01:15 +0200
From: Joerg Jaspert <joerg@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#49279: 26.1; mml-secure-secret-key-exists-p wrong assumption
 on subkeys with same fingerprint
In-Reply-To: <87v95v7cpv.fsf@HIDDEN>
References: <87bl7omn2i.fsf@HIDDEN> <87v95v7cpv.fsf@HIDDEN>
User-Agent: Roundcube Webmail/1.4.11
Message-ID: <53ce8ad61ca34d25b1f3364692e6c153@HIDDEN>
X-Sender: joerg@HIDDEN
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 49279
Cc: 49279 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Am 2021-06-30 14:34, schrieb Lars Ingebrigtsen:
> Joerg Jaspert <joerg@HIDDEN> writes:
> 
>> Problem: the function mml-secure-secret-key-exists-p breaks. It says 
>> it
>> found multiple secret keys with the same fingerprint, and refuses to
>> work.
> 
> I vaguely seem to remember there being some work done in this area over
> the last year, but I'm not sure whether it was this problem exactly.
> Would it be possible for you to build Emacs 28 to see whether the
> problem still exists there?

I do think it does, the code is the same there. Line 678 and following 
in mml-sec.el.
I'm going to test with a recent build either this evening or on weekend, 
will send an update then.

Joerg




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49279; Package emacs. Full text available.

Message received at 49279 <at> debbugs.gnu.org:


Received: (at 49279) by debbugs.gnu.org; 30 Jun 2021 12:34:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 30 08:34:46 2021
Received: from localhost ([127.0.0.1]:56681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lyZQU-0000FC-AA
	for submit <at> debbugs.gnu.org; Wed, 30 Jun 2021 08:34:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lyZQT-0000Ez-AP
 for 49279 <at> debbugs.gnu.org; Wed, 30 Jun 2021 08:34:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bNEypNHI/eBnOjPf2AuCEkc/feJN0wt4xfpRQWMkgac=; b=u/NWSIHOHKjCDQW5s8I3M0uoCh
 u+3B5kVRC4U2gpAneHMakgPNkoeFHIZRF3SaHnBRNIQV3mn/p0cxbLrtfYqJnULZ8fxzNa1s9+BRA
 LlUTZcDHsPCYJ98JZNhuLpWjRS0KL1Jrx5YyhP43luP1F9WX9RLUhzqAEjW+oWiJYnss=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lyZQK-0001ao-VY; Wed, 30 Jun 2021 14:34:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Joerg Jaspert <joerg@HIDDEN>
Subject: Re: bug#49279: 26.1; mml-secure-secret-key-exists-p wrong
 assumption on subkeys with same fingerprint
References: <87bl7omn2i.fsf@HIDDEN>
X-Now-Playing: Green Gartside's _Tangled Man_: "Wishing Well"
Date: Wed, 30 Jun 2021 14:34:36 +0200
In-Reply-To: <87bl7omn2i.fsf@HIDDEN> (Joerg Jaspert's message of
 "Tue, 29 Jun 2021 22:29:41 +0200")
Message-ID: <87v95v7cpv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Joerg Jaspert <joerg@HIDDEN> writes: > Problem: the
 function
 mml-secure-secret-key-exists-p breaks. It says it > found multiple secret
 keys with the same fingerprint, and refuses to > work. I vaguely seem to
 remember there being some work done in this area over the last year, but I'm
 not sure whether it was this problem exactly. Would it be possible for you
 to build Emacs 28 to see wheth [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49279
Cc: 49279 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Joerg Jaspert <joerg@HIDDEN> writes:

> Problem: the function mml-secure-secret-key-exists-p breaks. It says it 
> found multiple secret keys with the same fingerprint, and refuses to 
> work.

I vaguely seem to remember there being some work done in this area over
the last year, but I'm not sure whether it was this problem exactly.
Would it be possible for you to build Emacs 28 to see whether the
problem still exists there?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49279; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jun 2021 21:11:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 29 17:11:21 2021
Received: from localhost ([127.0.0.1]:55784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lyL0q-0002OR-P5
	for submit <at> debbugs.gnu.org; Tue, 29 Jun 2021 17:11:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:38260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joerg@HIDDEN>) id 1lyKMv-0001MO-Hr
 for submit <at> debbugs.gnu.org; Tue, 29 Jun 2021 16:30:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46836)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joerg@HIDDEN>) id 1lyKMv-0006z1-9X
 for bug-gnu-emacs@HIDDEN; Tue, 29 Jun 2021 16:30:05 -0400
Received: from mail.ganneff.de ([2a01:4f9:2b:ff49:143:993:25:465]:40205)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joerg@HIDDEN>) id 1lyKMr-0005oS-Um
 for bug-gnu-emacs@HIDDEN; Tue, 29 Jun 2021 16:30:04 -0400
Received: from lennier.ganneff.de (android.vpn.ganneff.de [172.20.10.12])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature ECDSA (P-384)
 client-signature RSA-PSS (4096 bits))
 (Client CN "lennier.ganneff.de", Issuer "Ganneff.de CA" (not verified))
 by mail.ganneff.de (Postfix) with ESMTPS id 3FAB11953AA;
 Tue, 29 Jun 2021 20:29:48 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ganneff.de; s=2019_01; 
 t=1624998588;
 h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:mime-version:mime-version:
 content-type:content-type:content-transfer-encoding:in-reply-to:
 references:content-id:content-description:organization:organization:
 user-agent:x-gpg-id:x-gpg-id:x-gpg-fp:x-gpg-fp;
 bh=64L9tLILAWJ2sffJaCKJlbDsOEG8kRuDM/CvrZ6b5z0=;
 b=CweSjG+UhoqoXDYA43f/JDIcBU80fqiBYzvACTH+/BmoWWaj33wufd02DjvWET0007kTgi
 T/0u0BxklVdSvXFMvP4KFxYBYICQzZC4OXEEgV0FRvp/khkTyaE3jtbPaSUaJNaGq9yntC
 FmOUsADdVL8BDnIFeMr9c9poqpENY1E=
Received: by lennier.ganneff.de (Postfix, from userid 1000)
 id 9557C601DF; Tue, 29 Jun 2021 22:29:47 +0200 (CEST)
From: Joerg Jaspert <joerg@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1;
 mml-secure-secret-key-exists-p wrong assumption on subkeys with same
 fingerprint
Organization: Ganneff.de
X-GPG-ID: 0xB12525C4
X-GPG-FP: FBFA BDB5 41B5 DC95 5BD9  BA6E DB16 CF5B B125 25C4
X-message-flag: Formating hard disk. please wait...   10%...   20%...
Date: Tue, 29 Jun 2021 22:29:41 +0200
Message-ID: <87bl7omn2i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a01:4f9:2b:ff49:143:993:25:465;
 envelope-from=joerg@HIDDEN; helo=mail.ganneff.de
X-Spam_score_int: -70
X-Spam_score: -7.1
X-Spam_bar: -------
X-Spam_report: (-7.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_HI=-5,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 29 Jun 2021 17:11:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi

Task: Send signed mail from within emacs (notmuch) using message mode=20
and mml-sign.

Problem: the function mml-secure-secret-key-exists-p breaks. It says it=20
found multiple secret keys with the same fingerprint, and refuses to=20
work.

I *guess* the way gpg outputs things changed / got adopted. Likely when=20
they did away with secret keyrings.

Now, setup:
I have the following entries in my ~/.gnupg/gpg.conf:
=2D-8<---------------cut here---------------start------------->8---
primary-keyring ~/.gnupg/pubring.gpg=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20
keyring /usr/share/keyrings/debian-keyring.gpg=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
=2D-8<---------------cut here---------------end--------------->8---

I have *ONE* secret key (with that fingerprint) in my gpg store.
I have my public key in my pubring.gpg, and it *also* exists in the=20
debian-keyring.gpg.

Now trying to send mail, mml dies, debugger output pasted below.

I *suspect* it is from gpg changes to their output, but wherever it is=20
from, I also think the error call shouldn't be there inside mml.
As soon as I comment the second *public* keyring, sending signed mail=20
works fine.


Debugger entered--Lisp error: (error "Found 2 secret keys with same=20
fingerprint FBFABDB541B5DC955BD9BA6EDB16CF5BB12525C4")
  signal(error ("Found 2 secret keys with same fingerprint=20
  FBFABDB541B5DC955BD9BA6EDB16CF5BB12525C4"))
  error("Found %d secret keys with same fingerprint %s" 2=20
  "FBFABDB541B5DC955BD9BA6EDB16CF5BB12525C4")
  mml-secure-secret-key-exists-p(#s(epg-context :protocol OpenPGP=20
  :program "/bin/gpg2" :home-directory nil :armor nil :textmode nil=20
  :include-certs nil :cipher-algorithm nil :digest-algorithm nil=20
  :compress-algorithm nil :passphrase-callback=20
  (epg-passphrase-callback-function) :progress-callback nil=20
  :edit-callback nil :signers nil :sig-notations nil :process nil=20
  :output-file nil :result nil :operation nil :pinentry-mode nil=20
  :error-output "" :error-buffer nil) #s(epg-sub-key :validity ultimate=20
  :capability (sign certify) :secret-p nil :algorithm 1 :length 4096 :id=20
  "DB16CF5BB12525C4" :creation-time (18951 . 16192) :expiration-time nil=20
  :fingerprint "FBFABDB541B5DC955BD9BA6EDB16CF5BB12525C4"))
  mml-secure-check-sub-key(#s(epg-context :protocol OpenPGP :program=20
  "/bin/gpg2" :home-directory nil :armor nil :textmode nil=20
  :include-certs nil :cipher-algorithm nil :digest-algorithm nil=20
  :compress-algorithm nil :passphrase-callback=20
  (epg-passphrase-callback-function) :progress-callback nil=20
  :edit-callback nil :signers nil :sig-notations nil :process nil=20
  :output-file nil :result nil :operation nil :pinentry-mode nil=20
  :error-output "" :error-buffer nil) #s(epg-key :owner-trust ultimate=20
  :sub-key-list (#s(epg-sub-key :validity ultimate :capability (sign=20
  certify) :secret-p nil :algorithm 1 :length 4096 :id=20
  "DB16CF5BB12525C4" :creation-time (18951 . 16192) :expiration-time nil=20
  :fingerprint "FBFABDB541B5DC955BD9BA6EDB16CF5BB12525C4")=20
  #s(epg-sub-key :validity ultimate :capability (encrypt) :secret-p nil=20
  :algorithm 1 :length 4096 :id "A258CB3FE075ECFF" :creation-time (18951=20
  . 16333) :expiration-time nil :fingerprint=20
  "684795DC5F511A7E647B0238A258CB3FE075ECFF") #s(epg-sub-key :validity=20
  ultimate :capability (sign) :secret-p nil :algorithm 1 :length 4096=20
  :id "C7B01D35AB0F24B9" :creation-time (20902 . 23882) :expiration-time=20
  (26587 . 18565) :fingerprint=20
  "9630CE701E2ADEC3200CE0EEC7B01D35AB0F24B9") #s(epg-sub-key :validity=20
  ultimate :capability (encrypt) :secret-p nil :algorithm 1 :length 4096=20
  :id "80816AE630EC8D38" :creation-time (20902 . 24081) :expiration-time=20
  (26587 . 18565) :fingerprint=20
  "56776C422F34E07911E9767980816AE630EC8D38") #s(epg-sub-key :validity=20
  ultimate :capability (authentication) :secret-p nil :algorithm 1=20
  :length 4096 :id "C58ADA645E749E7B" :creation-time (22845 . 13953)=20
  :expiration-time (26587 . 18565) :fingerprint=20
  "E052D610BA150904F4274EDEC58ADA645E749E7B") #s(epg-sub-key :validity=20
  ultimate :capability (sign) :secret-p nil :algorithm 1 :length 4096=20
  :id "F35578BF98805660" :creation-time (22845 . 13910) :expiration-time=20
  (26587 . 18565) :fingerprint=20
  "72DCBECE755A9FDD14838015F35578BF98805660") #s(epg-sub-key :validity=20
  ultimate :capability (encrypt) :secret-p nil :algorithm 1 :length 4096=20
  :id "12AFA0F1A51A254B" :creation-time (22845 . 13930) :expiration-time=20
  (26587 . 18565) :fingerprint=20
  "0FD59ABE3286179ED6103BBF12AFA0F1A51A254B") #s(epg-sub-key :validity=20
  expired :capability (authentication) :secret-p nil :algorithm 1=20
  :length 4096 :id "70E69D7B90479E6D" :creation-time (21978 . 52225)=20
  :expiration-time (22723 . 43905) :fingerprint=20
  "419DB01F85B3E1ED1207715270E69D7B90479E6D")) :user-id-list=20
  (#s(epg-user-id :validity ultimate :string "Joerg Jaspert=20
  <joerg@HIDDEN>" :signature-list nil) #s(epg-user-id :validity=20
  ultimate :string "Joerg Jaspert <joerg@HIDDEN>" :signature-list=20
  nil) #s(epg-user-id :validity ultimate :string "Joerg Jaspert=20
  <joerg@HIDDEN>" :signature-list nil) #s(epg-user-id :validity=20
  ultimate :string "Joerg Jaspert <joerg@HIDDEN>" :signature-list=20
  nil))) sign nil)
  mml-secure-find-usable-keys(#s(epg-context :protocol OpenPGP :program=20
  "/bin/gpg2" :home-directory nil :armor nil :textmode nil=20
  :include-certs nil :cipher-algorithm nil :digest-algorithm nil=20
  :compress-algorithm nil :passphrase-callback=20
  (epg-passphrase-callback-function) :progress-callback nil=20
  :edit-callback nil :signers nil :sig-notations nil :process nil=20
  :output-file nil :result nil :operation nil :pinentry-mode nil=20
  :error-output "" :error-buffer nil) "<joerg@HIDDEN>" sign)
  #f(compiled-function (name) #<bytecode=20
  0x28237f5>)("<joerg@HIDDEN>")
  mapcar(#f(compiled-function (name) #<bytecode 0x28237f5>)=20
  ("<joerg@HIDDEN>"))
  mml-secure-select-preferred-keys(#s(epg-context :protocol OpenPGP=20
  :program "/bin/gpg2" :home-directory nil :armor nil :textmode nil=20
  :include-certs nil :cipher-algorithm nil :digest-algorithm nil=20
  :compress-algorithm nil :passphrase-callback=20
  (epg-passphrase-callback-function) :progress-callback nil=20
  :edit-callback nil :signers nil :sig-notations nil :process nil=20
  :output-file nil :result nil :operation nil :pinentry-mode nil=20
  :error-output "" :error-buffer nil) ("<joerg@HIDDEN>") sign)
  mml-secure-signers(#s(epg-context :protocol OpenPGP :program=20
  "/bin/gpg2" :home-directory nil :armor nil :textmode nil=20
  :include-certs nil :cipher-algorithm nil :digest-algorithm nil=20
  :compress-algorithm nil :passphrase-callback=20
  (epg-passphrase-callback-function) :progress-callback nil=20
  :edit-callback nil :signers nil :sig-notations nil :process nil=20
  :output-file nil :result nil :operation nil :pinentry-mode nil=20
  :error-output "" :error-buffer nil) ("<joerg@HIDDEN>"))
  mml-secure-epg-sign(OpenPGP t)
  mml2015-epg-sign((part (sign . "pgpmime") (tag-location . 405)=20
  (contents . #("test, sending signed mail\n-- \nbye, Joerg\n" 25 26=20
  (hard t display "=E2=8F=8E\n") 29 30 (hard t display "=E2=8F=8E\n") 40 41=
 (hard t=20
  display "=E2=8F=8E\n")))))
  mml2015-sign((part (sign . "pgpmime") (tag-location . 405) (contents .=20
  #("test, sending signed mail\n-- \nbye, Joerg\n" 25 26 (hard t display=20
  "=E2=8F=8E\n") 29 30 (hard t display "=E2=8F=8E\n") 40 41 (hard t display=
 "=E2=8F=8E\n")))))
  mml-pgpmime-sign-buffer((part (sign . "pgpmime") (tag-location . 405)=20
  (contents . #("test, sending signed mail\n-- \nbye, Joerg\n" 25 26=20
  (hard t display "=E2=8F=8E\n") 29 30 (hard t display "=E2=8F=8E\n") 40 41=
 (hard t=20
  display "=E2=8F=8E\n")))))
  mml-generate-mime-1((part (sign . "pgpmime") (tag-location . 405)=20
  (contents . #("test, sending signed mail\n-- \nbye, Joerg\n" 25 26=20
  (hard t display "=E2=8F=8E\n") 29 30 (hard t display "=E2=8F=8E\n") 40 41=
 (hard t=20
  display "=E2=8F=8E\n")))))
  mml-generate-mime()
  message-encode-message-body()
  message-send-mail(nil)
  message-send-via-mail(nil)
  message-send(nil)
  message-send-and-exit(nil)
  notmuch-mua-send-common(nil t)
  notmuch-mua-send-and-exit(nil)
  funcall-interactively(notmuch-mua-send-and-exit nil)
  call-interactively(notmuch-mua-send-and-exit nil nil)
  command-execute(notmuch-mua-send-and-exit)


In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2021-01-31, modified by Debian built on x86-csail-01
Windowing system distributor 'The X.Org Foundation', version=20
11.0.12004000
System Description:	Debian GNU/Linux 10 (buster)


=2D-=20
bye, Joerg

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEcty+znVan90Ug4AV81V4v5iAVmAFAmDbgrYACgkQ81V4v5iA
VmCggxAAkhDrTkyXtg6XhXgD1J53NFcmTeAcNDzZS0RTFTk9bpSwoqxLpXEdzGEY
0K0NY+l/VldqqvlWfcvCJ31cLWUSgxUzFoBwWUPoITTqEJOtfgzmXZHgb/S6fmMP
+bPJZTHUZX3+Ceca7LMcElsyEgkJcpFkuDsVVvwkTo0HfihU10qc7HMhLp30mkzJ
R9GAZ09HVuoG/+YidkJqXnAGELbYFHhqhNhjH3YUpp0uzdmjsXUGQTv5gleKdH15
uOSXPAsS13gx3MHn6cLQrlhAi5saTD4Av/Rq5MWuA+o2acAKTZwbRPhUWqf2UN1v
xNqgJwzn2AWnUtw3RptStyb0GFb4hctT9YeiSFxk3Ci6FdIEAs4ePx8tWX1TaPlT
HzrTBOBnKgCGSnmLgE6lYk+CkfZED58DpRPeCX4m8tOViFoRMIVOAztCzRkyHxed
Hq9hS3ZmYDbUnNJA6Gzp4IOIt78r5zSZzzkRa2XiKO+Mi4jkdZ6UA2RawiRYCD75
gwnsq8NdpFqkGJ8vn950fQIVLIDuPivRtDXd3K2p8hxCE2KgZ4/5Mj5ptByTa8Ad
xCRNNNKlBfo6pkVzOPw/QJIsqO4x2fEVWzt9UeIIWo5v/wNawMF2sAXxiPBXaKqc
37N6Fh86VxezkH8tFQsWFnr0AWxVakv0jiwVE4dyJHxhlUB6qMc=
=uybK
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Joerg Jaspert <joerg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49279; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 30 Jun 2021 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.